/*
 * advwdt.h
 *
 *  Created on: 2010-1-11
 *  Author: jianfeng.dai
 */

#ifndef ADVWDT_H_
#define ADVWDT_H_

#define ADVWDT_IOC_MAGIC        'd'  // use 'd' as magic number
#define WDIOC_GETSUPPORT        __DIOF(_DCMD_MISC,ADVWDT_IOC_MAGIC + 1, struct watchdog_info)
#define WDIOC_GETSTATUS         __DIOF(_DCMD_MISC,ADVWDT_IOC_MAGIC + 2, int)
#define WDIOC_GETBOOTSTATUS     __DIOF(_DCMD_MISC,ADVWDT_IOC_MAGIC + 3, int)
#define WDIOC_GETTEMP           __DIOF(_DCMD_MISC,ADVWDT_IOC_MAGIC + 4, int)
#define WDIOC_SETOPTIONS        __DIOT(_DCMD_MISC,ADVWDT_IOC_MAGIC + 5, int)
#define WDIOC_KEEPALIVE         __DIOT(_DCMD_MISC,ADVWDT_IOC_MAGIC + 6, int)
#define WDIOC_SETTIMEOUT        __DIOT(_DCMD_MISC,ADVWDT_IOC_MAGIC + 7, int)
#define WDIOC_GETTIMEOUT        __DIOF(_DCMD_MISC,ADVWDT_IOC_MAGIC + 8, int)
#define ADVWDT_IOC_MAXNR        8

#define	WDIOF_UNKNOWN		-1	/* Unknown flag error */
#define	WDIOF_POWERUNDER	0x0010	/* Power bad/power fault */
#define	WDIOF_CARDRESET		0x0020	/* Card previously reset the CPU */
#define WDIOF_POWEROVER		0x0040	/* Power over voltage */
#define WDIOF_SETTIMEOUT	0x0080  /* Set timeout (in seconds) */
#define	WDIOF_KEEPALIVEPING	0x8000	/* Keep alive ping reply */

#define	WDIOS_DISABLECARD	0x0001	/* Turn off the watchdog timer */
#define WDIOS_ENABLECARD    0x0002  /* Turn on the watchdog timer */

#endif /* ADVWDT_H_ */


